Last Comment Bug 548213 - C++ style comment in C unit modules/plugin/default/unix/npunix.c
: C++ style comment in C unit modules/plugin/default/unix/npunix.c
Status: RESOLVED FIXED
: verified1.9.0.19, verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: All All
: -- minor (vote)
: ---
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 23:51 PST by Uli Link (:ul-mcamafia)
Modified: 2010-04-25 07:35 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
trivial patch replaces C++ comment with C style (1.07 KB, patch)
2010-02-23 23:59 PST, Uli Link (:ul-mcamafia)
jaas: review+
dveditz: approval1.9.2.2+
dveditz: approval1.9.1.9+
dveditz: approval1.9.0.19+
Details | Diff | Review
patch recreated with cvs, src dir moved and context adjusted (1.24 KB, patch)
2010-03-08 11:40 PST, Uli Link (:ul-mcamafia)
no flags Details | Diff | Review

Description Uli Link (:ul-mcamafia) 2010-02-23 23:51:49 PST
At line 630 a C++ style comment appears.

xlc_r -o npunix.o -c  -DMOZ_SUITE=1 -DOSTYPE=\"AIX4.3\" -DOSARCH=AIX  -I/home/ul
ink/src/comm-1.9.1/mozilla/modules/plugin/default/unix -I. -I../../../../dist/in
clude/java -I../../../../dist/include   -I../../../../dist/include/plugin -I/hom
e/ulink/src/comm-1.9.1/obj-sm2-aix43/mozilla/dist/include/nspr    -I/home/ulink/
src/comm-1.9.1/obj-sm2-aix43/mozilla/dist/sdk/include   -qflag=w:w     -DNDEBUG
-DTRIMMED -O2 -qarch=604 -qmaxmem=-1 -qalias=noansi -I/opt/freeware/include/gtk-
2.0 -I/opt/freeware/lib/gtk-2.0/include -I/opt/freeware/include/atk-1.0 -I/opt/f
reeware/include/cairo -I/opt/freeware/include/pango-1.0 -I/opt/freeware/include/
glib-2.0 -I/opt/freeware/lib/glib-2.0/include -I/opt/freeware/include/gtk-unix-p
rint-2.0     -DMOZILLA_VERSION=\"1.9.1.9pre\" -DMOZILLA_VERSION_U=1.9.1.9pre -DA
IX=1 -DHAVE_SYS_INTTYPES_H=1 -DNSCAP_DISABLE_DEBUG_PTR_TYPES=1 -DD_INO=d_ino -DS
TDC_HEADERS=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_INT16_T=1 -DHAVE_INT
32_T=1 -DHAVE_INT64_T=1 -DHAVE_INT64=1 -DHAVE_UINT=1 -DHAVE_UINT_T=1 -DHAVE_UINT
16_T=1 -DHAVE_DIRENT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NL_TYPES_H=1
 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATF
S_H=1 -DHAVE_LIBC_R=1 -DHAVE_LIBM=1 -DHAVE_LIBDL=1 -DHAVE_LIBC_R=1 -DFUNCPROTO=1
5 -DHAVE_XSHM=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 -DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -D
HAVE_FT_LOAD_SFNT_TABLE=1 -DHAVE_FT_SELECT_SIZE=1 -DHAVE_ARM_SIMD=1 -D_REENTRANT
=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPR
INTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_TR
UNCATE64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_
NINIT=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_I18N_LC_MESSAGES=1 -DMOZ_EMBEDDING_LEVE
L_DEFAULT=1 -DMOZ_EMBEDDING_LEVEL_BASIC=1 -DMOZ_EMBEDDING_LEVEL_MINIMAL=1 -DMOZ_
BUILD_APP=../suite -DMOZ_XUL_APP=1 -DMOZ_DEFAULT_TOOLKIT=\"cairo-gtk2\" -DMOZ_X1
1=1 -DMOZ_WIDGET_GTK2=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_DISTRIBUTION_ID=\"org.mozil
la\" -DMOZ_PANGO=1 -DOJI=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DMOZ_XPINSTALL=1 -DM
OZ_JSLOADER=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_NO_XPCOM_OBSOLETE=1 -DM
OZ_OGG=1 -DMOZ_WAVE=1 -DMOZ_SYDNEYAUDIO=1 -DMOZ_MEDIA=1 -DMOZ_XTF=1 -DMOZ_CRASHR
EPORTER_ENABLE_PERCENT=100 -DMOZ_MATHML=1 -DMOZ_ENABLE_CANVAS=1 -DMOZ_SVG=1 -DMO
Z_UPDATE_CHANNEL=default -DMOZ_PLACES=1 -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_HELP
_VIEWER=1 -DMOZ_LOGGING=1 -DMOZ_USER_DIR=\".mozilla\" -DHAVE_INTTYPES_H=1 -DMOZ_
XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_RDF=1 -DMOZ_MORK=1 -DMOZ_MORKREADER=1 -DMOZ_D
LL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1  -D_MOZILLA_CONFIG_H_ -DMOZILLA
_CLIENT /home/ulink/src/comm-1.9.1/mozilla/modules/plugin/default/unix/npunix.c
"/home/ulink/src/comm-1.9.1/mozilla/modules/plugin/default/unix/npunix.c", line
630.9: 1506-046 (S) Syntax error.
"/home/ulink/src/comm-1.9.1/mozilla/modules/plugin/default/unix/npunix.c", line
630.12: 1506-045 (S) Undeclared identifier This.
"/home/ulink/src/comm-1.9.1/mozilla/modules/plugin/default/unix/npunix.c", line
630.74: 1506-209 (S) Character constants must end before the end of a line.
gmake[5]: *** [npunix.o] Error 1

Trunk, branch 1.9.2 and branch 1.9.1

Solution: replace with a C-style comment
Comment 1 Uli Link (:ul-mcamafia) 2010-02-23 23:59:45 PST
Created attachment 428652 [details] [diff] [review]
trivial patch replaces C++ comment with C style
Comment 2 Uli Link (:ul-mcamafia) 2010-02-26 14:03:20 PST
Comment on attachment 428652 [details] [diff] [review]
trivial patch replaces C++ comment with C style

Zero risc, not changing active code at all, only comment.
Comment 3 Daniel Veditz [:dveditz] 2010-03-01 10:24:34 PST
Comment on attachment 428652 [details] [diff] [review]
trivial patch replaces C++ comment with C style

Approved for 1.9.2.2, 1.9.1.9, and 1.9.0.19, a=dveditz for release-drivers
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-03-05 02:08:24 PST
http://hg.mozilla.org/mozilla-central/rev/af5cdd5966d9
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-03-08 11:13:13 PST
https://hg.mozilla.org/releases/mozilla-1.9.1/rev/64558a232dfb
https://hg.mozilla.org/releases/mozilla-1.9.2/rev/af68c2e70d53

The patch doesn't apply to 1.9.0 cleanly.
Comment 6 Uli Link (:ul-mcamafia) 2010-03-08 11:40:05 PST
Created attachment 431156 [details] [diff] [review]
patch recreated with cvs, src dir moved and context adjusted

carrying review and approval forward.
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-03-08 11:45:56 PST
mozilla/modules/plugin/samples/default/unix/npunix.c 	1.15

Note You need to log in before you can comment on or make changes to this bug.